## apache-ofbiz-12.04.04-006J.zip

=== framework/images/webapp/images/jquery/plugins/flot/Makefile ===
# Makefile for generating minified files

.PHONY: all

# we cheat and process all .js files instead of an exhaustive list
all: $(patsubst %.js,%.min.js,$(filter-out %.min.js,$(wildcard *.js)))

%.min.js: %.js
	yui-compressor $< -o $@
